<div class="container m-t-30">
    <form [formGroup]="form">
        <mat-card>
            <mat-card-header class="text-center">
                <mat-card-title layout="row" layout-align="center">
                    <h3>Material Tracking Ticket</h3>
                </mat-card-title>
            </mat-card-header>
            <mat-card-content>
                <div class="row">
                    <div class="col-md-6">
                        <mat-form-field>
                            <input formControlName="operator" matInput placeholder="Operator" required>
                        </mat-form-field>
                    </div>
                    <div class="col-md-6">
                        <mat-form-field>
                            <input formControlName="date" matInput [matDatepicker]="picker"
                                (click)="picker.open()" placeholder="Choose a date" readonly required>
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <mat-form-field>
                            <input formControlName="supervisor" matInput placeholder="Supervisor" required>
                        </mat-form-field>
                    </div>
                    <div class="col-md-6">
                        <mat-form-field>
                            <input formControlName="truckNumber" matInput placeholder="Truck #" required>
                        </mat-form-field>
                    </div>
                </div>
                <div class="row">
                </div>
            </mat-card-content>
        </mat-card>
        <mat-card class="m-t-10 material-card">
            <div class="row m-b-10">
                <div class="col-md-12">
                    <mat-label>
                        <h5>Material Details</h5>
                    </mat-label>

                </div>
            </div>
            <mat-accordion [multi]="true">
                <div formArrayName="loads" *ngFor="let load of loads ;let index = index">
                    <div [formGroupName]="index">
                        <mat-expansion-panel expanded>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Material - {{index + 1}}
                                </mat-panel-title>
                            </mat-expansion-panel-header>


                            <div class="row">
                                <div class="col-md-4">
                                    <mat-form-field>
                                        <mat-label>Material </mat-label>
                                        <mat-select formControlName="materialType" required>
                                            <mat-option *ngFor="let type of materialTypes" [value]="type.code">
                                                {{type.value}} </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field>
                                        <mat-label>Stock Site</mat-label>
                                        <mat-select formControlName="stockSite" required>
                                            <mat-option *ngFor="let site of stockSites" [value]="site.code">
                                                {{site.value}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field>
                                        <mat-label>Equipment Load</mat-label>
                                        <mat-select formControlName="equipmentLoadCode" required>
                                            <mat-option *ngFor="let type of equipmentLoadTypes" [value]="type.code">
                                                {{type.value}}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <mat-label>In/Out:</mat-label>
                                    <mat-radio-group class="m-l-20" formControlName="operation">
                                        <mat-radio-button value="in">In</mat-radio-button>
                                        <mat-radio-button value="out">Out</mat-radio-button>
                                    </mat-radio-group>
                                    <mat-error *ngIf="load.get('operation').invalid">Please select atleast one
                                        operation.</mat-error>

                                </div>
                            </div>
                            <mat-action-row *ngIf="mode === Mode.CREATE">
                                <button mat-icon-button type="button" (click)="deleteLoad(index)" [disabled]="index < 1">
                                    <mat-icon>delete</mat-icon>
                                </button>
                            </mat-action-row>

                        </mat-expansion-panel>
                    </div>
                </div>
            </mat-accordion>
            <div *ngIf="mode === Mode.CREATE" class="row m-t-10">
                <div class="col-md-2">
                    <button mat-icon-button type="button" (click)="addLoad()">
                        <mat-icon>add_box</mat-icon>
                    </button>
                </div>
            </div>
        </mat-card>

        <div class="row m-t-20 text-center">
            <div class="col-md-12">
                <button *ngIf="mode === Mode.CREATE" class="btn submit-button" type="submit" (click)="submit()">Submit</button>

            </div>
        </div>
    </form>
</div>